{% load static %}
<head>
    <link rel="stylesheet" href="{% static 'style.css' %}">
    <script src="{% static 'jquery-3.5.0.js' %}"></script>
    
    <script>
        $(document).ready(function() {
            // SHOWING AND HIDING PANELS
            // By default, panels are hidden
            var panels = $('.acc_panel').hide();

            // Show panel when the accordion is clicked
            $('.acc_title').click(function() {
                panels.slideUp();
                $(this).parent().next().slideDown();
            })

            
            // IMPLEMENTING UP AND DOWN BUTTONS
            $('.down').click(function() {
                $(this).parent().parent().next().after($(this).parent().parent());
            })

            $('.up').click(function() {
                $(this).parent().parent().after($(this).parent().parent().prev());
            })
        })
    </script>
</head>

<body>
    <div class="title">ACCORDION</div>

    <div class="accordions">
        <div class="accordion">
            <div class="buttons">
                <button class="acc_title">AKTIVITAS SAAT INI</button>
                <button class="down"><img src="https://img.icons8.com/metro/26/000000/down--v1.png" alt="v"/></button> 
                <button class="up"><img src="https://img.icons8.com/metro/26/000000/up.png" alt="^"/></button>
            </div>
            <div class="acc_panel">
                <p>Kuliah, RISTEK, PTI, and let's see what else... Oh yes, KULIAH.</p>
            </div>
        </div>

        <div class="accordion">
            <div class="buttons">
                <button class="acc_title">PENGALAMAN ORGANISASI/KEPANITIAAN</button>
                <button class="down"><img src="https://img.icons8.com/metro/26/000000/down--v1.png" alt="v"/></button> 
                <button class="up"><img src="https://img.icons8.com/metro/26/000000/up.png" alt="^"/></button>
            </div>
            <div class="acc_panel">
                <ul>
                    <li>RISTEK Competitive Programming SIG (2020)</li>
                    <li>PTI BEM Fasilkom (2020)</li>
                    <li>Vesak KMB UI Web Engineering Division (2020)</li>
                </ul>
            </div>
        </div>

        <div class="accordion">
            <div class="buttons">
                <button class="acc_title">PRESTASI</button>
                <button class="down"><img src="https://img.icons8.com/metro/26/000000/down--v1.png" alt="v"/></button> 
                <button class="up"><img src="https://img.icons8.com/metro/26/000000/up.png" alt="^"/></button>
            </div>
            <div class="acc_panel">
                    <ul>
                        <li>Juara 1 OSN Komputer SMA Tingkat Kabupaten (2017 & 2018)</li>
                        <li>Juara 2 OSN Matematika SMP Tingkat Kabupaten (2015)</li>
                        <li>In conclusion, nothing really remarkable. Thanks. /sobs/</li>
                    </ul>
            </div>
        </div>

        <div class="accordion">
            <div class="buttons">
                <button class="acc_title">JUST RANDOM QUOTES (BECAUSE I FEEL LIKE IT)</button>
                <button class="down"><img src="https://img.icons8.com/metro/26/000000/down--v1.png" alt="v"/></button> 
                <button class="up"><img src="https://img.icons8.com/metro/26/000000/up.png" alt="^"/></button>
            </div>
            <div class="acc_panel">
                <blockquote>
                    <p>"Hello pOTtaH!"</p>
                    <footer><cite>- Draco Malfoy</cite></footer>
                </blockquote>
                <blockquote>
                    <p>"mY fATheR wiLL HeaR abOuT tHIs!"</p>
                    <footer><cite>- (also) Draco Malfoy</cite></footer>
                </blockquote>
            </div>
        </div>
    </div>
</body>